%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	An open-source, patent-free speech codec
Name:		speex
Version:	1.2.0
Release:	1
License:	BSD
Group:		Sound
Url:		http://www.speex.org/
Source0:	http://downloads.us.xiph.org/releases/speex/%{name}-%{version}.tar.gz
Patch1:		speex-1.1.6-fix-pkgconfig-path.patch
Patch2:		speex-1.2rc1-CVE-2008-1686.patch
BuildRequires:	chrpath
BuildRequires:	pkgconfig(speexdsp)
BuildRequires:	pkgconfig(vorbis)

%description
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrowband 
and wideband quality. This project aims to be complementary to the Vorbis
codec.

%files
%doc COPYING AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/speex*
%{_mandir}/man1/speexenc.1*
%{_mandir}/man1/speexdec.1*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library of the Speex codec
Group:		System/Libraries

%description -n %{libname}
This package contains the shared library required for running
applications based on Speex.

%files -n %{libname}
%{_libdir}/libspeex.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Speex development files
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{mklibname -s -d speex} < 1.2-0.rc1.7

%description -n %{devname}
Speex development files.

%files -n %{devname}
%doc doc/manual.pdf
%{_libdir}/libspeex.so
%{_includedir}/speex/*.h
%{_libdir}/pkgconfig/speex.pc
%{_datadir}/aclocal/speex.m4

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
export CFLAGS='%{optflags} -DRELEASE'
%configure2_5x \
	--disable-static \
	--enable-binaries
make

%install
%makeinstall_std
chrpath -d %{buildroot}%{_bindir}/*
rm -f %{buildroot}%{_datadir}/doc/*/manual.pdf


%changelog

* Mon Dec 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.0-1
- (c810485) New version 1.2.0 final
- (c810485) SpeexDSP is moved to individual package


